This week's book giveaway is in the Agile and Other Processes forum.
We're giving away four copies of The Little Book of Impediments (e-book only) and have Tom Perry on-line!
See this thread for details.
Win a copy of The Little Book of Impediments (e-book only) this week in the Agile and Other Processes forum!
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic

Questions about android platform

 
Alexander Sales
Ranch Hand
Posts: 89
Eclipse IDE Java Tomcat Server
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi,

I am new to Android programming.

If I will be using Android platform 2.2. Will I be able to use other platforms?

Do you guys have any tips on programming android on eclipse?

Best Regards,
Alex Sales.
 
Hussein Baghdadi
clojure forum advocate
Bartender
Posts: 3479
Clojure Mac Objective C
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Sorry but your first question isn't clear, would you please explain more?
Regarding Android programming on Eclipse, what do you want to know? There is nothing special, Google offers an official Eclipse plugin.
 
Nolan Lefler
Greenhorn
Posts: 8
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi Alexander,

Welcome to the wonderful world of Android!

I would suggest getting the updated software for Eclipse, the Android SDK, and also the ADT plug-in. These are required tools. The following link provides you everything you need to know:

http://developer.android.com/sdk/installing.html#InstallingADT

As for being restricted to a specific platform, you can use whichever platform you like as long as you download the required components.

Enjoy!
Jay
 
Alexander Sales
Ranch Hand
Posts: 89
Eclipse IDE Java Tomcat Server
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Sorry for my question but my real point is.. If I use android 2.2 platform, will it be running on any android phone?
 
Tim Moores
Bartender
Posts: 3134
50
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Only on phones that have at least Android 2.2 installed, but that's kind of obvious; see http://developer.android.com/resources/dashboard/platform-versions.html for some numbers.
 
Alexander Sales
Ranch Hand
Posts: 89
Eclipse IDE Java Tomcat Server
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Thanks all
 
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic